import java.sql.DriverManager;
import java.sql.Statement;
import java.sql.Connection;
import java.sql.SQLException;

class CreateTable {

   public static void main(String args[])
          throws SQLException, ClassNotFoundException {

      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
      
      Connection connection = DriverManager.getConnection
                               ("jdbc:odbc:AccountDatabase");
      Statement statement = connection.createStatement();

      statement.executeUpdate(
          "create table ACCOUNTS                     " +
          "  (NAME VARCHAR(32) NOT NULL PRIMARY KEY, " +
          "   ADDRESS VARCHAR(32),                   " +
          "   BALANCE FLOAT)                         "
      );

      statement.executeUpdate(
          "insert into ACCOUNTS values                   " +
          "  ('Barry Burd', '222 Cyberspace Lane', 24.02)"
      );
      
      statement.executeUpdate(
          "insert into ACCOUNTS values                    " +
          "  ('Jane Public', '111 Consumer Street', 55.63)"
      );

      statement.close();
      connection.close();
   }
}
