import java.text.DecimalFormat;

class Player {   
    private String name;
    private double average; 
  
    public Player(String name, double average) {
        this.name=name;
        this.average=average;
    }

    public String getName() {
        return name;
    }

    public double getAverage() {
        return average;
    }
  
    public String getAverageString() {
        DecimalFormat decFormat = 
                             new DecimalFormat("    .000");
        return decFormat.format(average);
    }
}
