import java.text.DecimalFormat;

class PlayerPlus extends Player {  
    private static int playerCount = 0;
    private static double totalOfAverages = .000;
    private static DecimalFormat decFormat = 
                               new DecimalFormat("    .000");
 
    public PlayerPlus(String name, double average) {
        super(name, average);
        playerCount++;
        totalOfAverages += average;
    }

    public static double findTeamAverage() {
        return totalOfAverages / playerCount;
    }  
  
    public static String findTeamAverageString() {
        return decFormat.format
                             (totalOfAverages / playerCount);
    }
}
