import static java.lang.System.out;
import java.sql.DriverManager;
import java.sql.Statement;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.ResultSet;
import java.text.NumberFormat;

class GetData {

   public static void main(String args[])
          throws SQLException, ClassNotFoundException {

      NumberFormat currency = 
          NumberFormat.getCurrencyInstance();

      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
    
      Connection connection = DriverManager.getConnection
                               ("jdbc:odbc:AccountDatabase");
      Statement statement = connection.createStatement();
      
      ResultSet resultset =
          statement.executeQuery("select * from ACCOUNTS");

      while(resultset.next()) {
          out.print(resultset.getString("NAME"));
          out.print("\t");
          out.print(resultset.getString("ADDRESS"));
          out.print("\t");
          out.println
            (currency.format(resultset.getFloat("BALANCE")));
      }

      resultset.close();
      statement.close();
      connection.close();
   }
}
