import static java.lang.System.out;

class UseTemperature {

   public static void main(String args[]) {
       final String format = "%5.2f degrees %s\n";

       Temperature temp = new Temperature();
       temp.setNumber(70.0);
       temp.setScale(ScaleName.fahrenheit);
       out.printf(format, temp.getNumber(), temp.getScale());

       temp = new Temperature(32.0);
       out.printf(format, temp.getNumber(), temp.getScale());

       temp = new Temperature(ScaleName.celsius);
       out.printf(format, temp.getNumber(), temp.getScale());

       temp = new Temperature(2.73, ScaleName.kelvin);
       out.printf(format, temp.getNumber(), temp.getScale());
   }
}
