import java.util.Scanner;
import java.io.File;
import java.io.IOException;
import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.GridLayout;

class TeamFrame extends JFrame {

    public TeamFrame() throws IOException {
        PlayerPlus player;
        Scanner myScanner = 
                    new Scanner(new File("Hankees.txt"));

        for (int num = 1; num <= 9; num++) {
            player = 
               new PlayerPlus(myScanner.nextLine(),
                              myScanner.nextDouble());
            myScanner.nextLine();
                           
            addPlayerInfo(player);
        }        
        
        add(new JLabel());
        add(new JLabel("    ------"));
        add(new JLabel("Team Batting Average:"));
        add(new JLabel(PlayerPlus.findTeamAverageString()));

        setTitle("The Hankees");
        setLayout(new GridLayout(11,2));
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        pack();
        setVisible(true);
    }
     
    void addPlayerInfo(PlayerPlus player) {
        add(new JLabel(player.getName()));
        add(new JLabel(player.getAverageString()));
    }   
}
